%global sum	USB topology and device viewer

Summary:	%{sum}
Name:		usbview
Version:	2.0
Release:	%mkrel 10
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://www.kroah.com/linux-usb/
Source:		http://www.kroah.com/linux-usb//%{name}-%{version}.tar.gz
BuildRequires:	gtk+3-devel 
BuildRequires:	imagemagick

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

for i in 16x16 32x32 48x48 64x64; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/$i/apps
convert -resize $i usb_icon.xpm %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png
done

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;
EOF

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/*/*


%changelog
* Wed Apr 15 2020 danf <danf> 2.0-10.mga8
+ Revision: 1567576
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Feb 14 2020 umeabot <umeabot> 2.0-9.mga8
+ Revision: 1517730
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0-8.mga7
+ Revision: 1301547
- Mageia 7 Mass Rebuild

* Thu May 12 2016 daviddavid <daviddavid> 2.0-7.mga6
+ Revision: 1014096
- use another upstream icon to resize thus fixing build

* Sat Feb 06 2016 umeabot <umeabot> 2.0-6.mga6
+ Revision: 940717
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-5.mga5
+ Revision: 740259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-4.mga5
+ Revision: 690094
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-3.mga4
+ Revision: 519911
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 385169
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 tv <tv> 2.0-1.mga3
+ Revision: 309630
- new release

* Thu Aug 30 2012 tv <tv> 1.1-2.mga3
+ Revision: 285881
- imported package usbview

